## com.sun.pdfview.font
Class PDFFontDescriptor

    java.lang.Object
      com.sun.pdfview.font.PDFFontDescriptor

    public class PDFFontDescriptor

extends java.lang.Object

Constructor Summary
`PDFFontDescriptor(PDFObject obj)` Creates a new instance of PDFFontDescriptor
`PDFFontDescriptor(java.lang.String basefont)` Creates a new instance of PDFFontDescriptor

Method Summary
`int` `getAscent()` Getter for property ascent.
`int` `getAvgWidth()` Getter for property avgWidth.
`int` `getCapHeight()` Getter for property capHeight.
`PDFObject` `getCharSet()` Getter for property charSet.
`int` `getDescent()` Getter for property descent.
`int` `getFlags()` Getter for property flags.
`java.awt.geom.Rectangle2D.Float` `getFontBBox()` Getter for property fontBBox.
`PDFObject` `getFontFile()` Getter for property fontFile.
`PDFObject` `getFontFile2()` Getter for property fontFile2.
`PDFObject` `getFontFile3()` Getter for property fontFile3.
`java.lang.String` `getFontName()` Getter for property fontName.
`int` `getItalicAngle()` Getter for property italicAngle.
`int` `getLeading()` Getter for property leading.
`int` `getMaxWidth()` Getter for property maxWidth.
`int` `getMissingWidth()` Getter for property misingWidth.
`int` `getStemH()` Getter for property stemH.
`int` `getStemV()` Getter for property stemV.
`int` `getXHeight()` Getter for property xHeight.
`void` `setAscent(int ascent)` Setter for property ascent.
`void` `setAvgWidth(int avgWidth)` Setter for property avgWidth.
`void` `setCapHeight(int capHeight)` Setter for property capHeight.
`void` `setCharSet(PDFObject charSet)` Setter for property charSet.
`void` `setDescent(int descent)` Setter for property descent.
`void` `setFlags(int flags)` Setter for property flags.
`void` `setFontBBox(java.awt.geom.Rectangle2D.Float fontBBox)` Setter for property fontBBox.
`void` `setFontFile(PDFObject fontFile)` Setter for property fontFile.
`void` `setFontFile2(PDFObject fontFile2)` Setter for property fontFile2.
`void` `setFontFile3(PDFObject fontFile3)` Setter for property fontFile3.
`void` `setFontName(java.lang.String fontName)` Setter for property fontName.
`void` `setItalicAngle(int italicAngle)` Setter for property italicAngle.
`void` `setLeading(int leading)` Setter for property leading.
`void` `setMaxWidth(int maxWidth)` Setter for property maxWidth.
`void` `setMissingWidth(int missingWidth)` Setter for property misingWidth.
`void` `setStemH(int stemH)` Setter for property stemH.
`void` `setStemV(int stemV)` Setter for property stemV.
`void` `setXHeight(int xHeight)` Setter for property xHeight.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFFontDescriptor

    public PDFFontDescriptor(java.lang.String basefont)

  Creates a new instance of PDFFontDescriptor

### PDFFontDescriptor

    public PDFFontDescriptor(PDFObject obj)
                      throws java.io.IOException

  Creates a new instance of PDFFontDescriptor

  Throws:
    `java.io.IOException`

Method Detail

### getAscent

    public int getAscent()

  Getter for property ascent.

  Returns:
    Value of property ascent.

### setAscent

    public void setAscent(int ascent)

  Setter for property ascent.

  Parameters:
    `ascent` - New value of property ascent.

### getCapHeight

    public int getCapHeight()

  Getter for property capHeight.

  Returns:
    Value of property capHeight.

### setCapHeight

    public void setCapHeight(int capHeight)

  Setter for property capHeight.

  Parameters:
    `capHeight` - New value of property capHeight.

### getDescent

    public int getDescent()

  Getter for property descent.

  Returns:
    Value of property descent.

### setDescent

    public void setDescent(int descent)

  Setter for property descent.

  Parameters:
    `descent` - New value of property descent.

### getFlags

    public int getFlags()

  Getter for property flags.

  Returns:
    Value of property flags.

### setFlags

    public void setFlags(int flags)

  Setter for property flags.

  Parameters:
    `flags` - New value of property flags.

### getFontName

    public java.lang.String getFontName()

  Getter for property fontName.

  Returns:
    Value of property fontName.

### setFontName

    public void setFontName(java.lang.String fontName)

  Setter for property fontName.

  Parameters:
    `fontName` - New value of property fontName.

### getItalicAngle

    public int getItalicAngle()

  Getter for property italicAngle.

  Returns:
    Value of property italicAngle.

### setItalicAngle

    public void setItalicAngle(int italicAngle)

  Setter for property italicAngle.

  Parameters:
    `italicAngle` - New value of property italicAngle.

### getStemV

    public int getStemV()

  Getter for property stemV.

  Returns:
    Value of property stemV.

### setStemV

    public void setStemV(int stemV)

  Setter for property stemV.

  Parameters:
    `stemV` - New value of property stemV.

### getAvgWidth

    public int getAvgWidth()

  Getter for property avgWidth.

  Returns:
    Value of property avgWidth.

### setAvgWidth

    public void setAvgWidth(int avgWidth)

  Setter for property avgWidth.

  Parameters:
    `avgWidth` - New value of property avgWidth.

### getFontFile

    public PDFObject getFontFile()

  Getter for property fontFile.

  Returns:
    Value of property fontFile.

### setFontFile

    public void setFontFile(PDFObject fontFile)

  Setter for property fontFile.

  Parameters:
    `fontFile` - New value of property fontFile.

### getFontFile2

    public PDFObject getFontFile2()

  Getter for property fontFile2.

  Returns:
    Value of property fontFile2.

### setFontFile2

    public void setFontFile2(PDFObject fontFile2)

  Setter for property fontFile2.

  Parameters:
    `fontFile2` - New value of property fontFile2.

### getFontFile3

    public PDFObject getFontFile3()

  Getter for property fontFile3.

  Returns:
    Value of property fontFile3.

### setFontFile3

    public void setFontFile3(PDFObject fontFile3)

  Setter for property fontFile3.

  Parameters:
    `fontFile3` - New value of property fontFile3.

### getLeading

    public int getLeading()

  Getter for property leading.

  Returns:
    Value of property leading.

### setLeading

    public void setLeading(int leading)

  Setter for property leading.

  Parameters:
    `leading` - New value of property leading.

### getMaxWidth

    public int getMaxWidth()

  Getter for property maxWidth.

  Returns:
    Value of property maxWidth.

### setMaxWidth

    public void setMaxWidth(int maxWidth)

  Setter for property maxWidth.

  Parameters:
    `maxWidth` - New value of property maxWidth.

### getMissingWidth

    public int getMissingWidth()

  Getter for property misingWidth.

  Returns:
    Value of property misingWidth.

### setMissingWidth

    public void setMissingWidth(int missingWidth)

  Setter for property misingWidth.

  Parameters:
    `missingWidth` - New value of property misingWidth.

### getStemH

    public int getStemH()

  Getter for property stemH.

  Returns:
    Value of property stemH.

### setStemH

    public void setStemH(int stemH)

  Setter for property stemH.

  Parameters:
    `stemH` - New value of property stemH.

### getXHeight

    public int getXHeight()

  Getter for property xHeight.

  Returns:
    Value of property xHeight.

### setXHeight

    public void setXHeight(int xHeight)

  Setter for property xHeight.

  Parameters:
    `xHeight` - New value of property xHeight.

### getCharSet

    public PDFObject getCharSet()

  Getter for property charSet.

  Returns:
    Value of property charSet.

### setCharSet

    public void setCharSet(PDFObject charSet)

  Setter for property charSet.

  Parameters:
    `charSet` - New value of property charSet.

### getFontBBox

    public java.awt.geom.Rectangle2D.Float getFontBBox()

  Getter for property fontBBox.

  Returns:
    Value of property fontBBox.

### setFontBBox

    public void setFontBBox(java.awt.geom.Rectangle2D.Float fontBBox)

  Setter for property fontBBox.

  Parameters:
    `fontBBox` - New value of property fontBBox.